Package org.lwjgl.opengl

# Class ARBTextureFloat

java.lang.Object
org.lwjgl.opengl.ARBTextureFloat

public final class ARBTextureFloat extends Object

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`GL_ALPHA16F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_ALPHA32F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_INTENSITY16F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_INTENSITY32F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE_ALPHA16F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE_ALPHA32F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE16F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_LUMINANCE32F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB16F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGB32F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA16F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_RGBA32F_ARB`
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:
`static final int`
`GL_TEXTURE_ALPHA_TYPE_ARB`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_BLUE_TYPE_ARB`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_DEPTH_TYPE_ARB`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_GREEN_TYPE_ARB`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_INTENSITY_TYPE_ARB`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_LUMINANCE_TYPE_ARB`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_TEXTURE_RED_TYPE_ARB`
Accepted by the <value> parameter of GetTexLevelParameter:
`static final int`
`GL_UNSIGNED_NORMALIZED_ARB`
Returned by the <params> parameter of GetTexLevelParameter:

## Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GL_TEXTURE_RED_TYPE_ARB

public static final int GL_TEXTURE_RED_TYPE_ARB
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_GREEN_TYPE_ARB

public static final int GL_TEXTURE_GREEN_TYPE_ARB
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_BLUE_TYPE_ARB

public static final int GL_TEXTURE_BLUE_TYPE_ARB
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_ALPHA_TYPE_ARB

public static final int GL_TEXTURE_ALPHA_TYPE_ARB
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_LUMINANCE_TYPE_ARB

public static final int GL_TEXTURE_LUMINANCE_TYPE_ARB
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_INTENSITY_TYPE_ARB

public static final int GL_TEXTURE_INTENSITY_TYPE_ARB
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_TEXTURE_DEPTH_TYPE_ARB

public static final int GL_TEXTURE_DEPTH_TYPE_ARB
Accepted by the <value> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_UNSIGNED_NORMALIZED_ARB

public static final int GL_UNSIGNED_NORMALIZED_ARB
Returned by the <params> parameter of GetTexLevelParameter:

See Also:
  - Constant Field Values

### GL_RGBA32F_ARB

public static final int GL_RGBA32F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB32F_ARB

public static final int GL_RGB32F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA32F_ARB

public static final int GL_ALPHA32F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_INTENSITY32F_ARB

public static final int GL_INTENSITY32F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE32F_ARB

public static final int GL_LUMINANCE32F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE_ALPHA32F_ARB

public static final int GL_LUMINANCE_ALPHA32F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGBA16F_ARB

public static final int GL_RGBA16F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_RGB16F_ARB

public static final int GL_RGB16F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_ALPHA16F_ARB

public static final int GL_ALPHA16F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_INTENSITY16F_ARB

public static final int GL_INTENSITY16F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE16F_ARB

public static final int GL_LUMINANCE16F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values

### GL_LUMINANCE_ALPHA16F_ARB

public static final int GL_LUMINANCE_ALPHA16F_ARB
Accepted by the <internalFormat> parameter of TexImage1D, TexImage2D, and TexImage3D:

See Also:
  - Constant Field Values